export declare class HttpClient {
    private readonly baseUrl;
    constructor(baseUrl: string);
    post<TResp>(path: string, body: unknown, token?: string): Promise<TResp>;
    get<TResp>(path: string, token?: string): Promise<TResp>;
}
